Address search by ID

Address search by ID #

Method address #

POST /idsearch/address

Functionality #

Allows you to get the exact address using the address register (FIAS, KLADR, etc.) and the value (ID) of the object.

Request parameters #

ParameterDescriptionTypeExample
queryString to parse addressstring0361c9ca-1703-4535-b11a-6fbd372448e1
typeThe type of address registry to look up.
Options: UNKNOWN, GAR, FIAS, KLADR, OSM, GA
stringFIAS
countryCodeCountry code, using ISO 3166-1 alpha-2 stringstringRU

Sample request data #

{
  "query": "0361c9ca-1703-4535-b11a-6fbd372448e1",
  "type": "FIAS",
  "countryCode": "RU"
}

Response options #

ParameterDescription
originalAn incoming address string that participated in the standardization
addressParsed and standardized address string
addressFullParsed and standardized address string with house part
postcodeInZIP code found in the input string
postcodePostal code determined from the reference base in the process of standardization
regionRegion, region. See the description of the addressLevel structure
areaDistrict of the region. See the description of the addressLevel structure
municipalMunicipal entity. See the description of the addressLevel structure
cityTown. See the description of the addressLevel structure
cityAreaA district of the city. See the description of the addressLevel structure
settlementLocality. See the description of the addressLevel structure
planStructurePlanning structure (microdistrict). See the description of the addressLevel structure
streetStreet. See the description of the addressLevel structure
houseDetailsHouse part of the address. See the description of the structure houseDetails
coordinatesGeographical coordinates. See the description of the structure coordinates
countryCountry. See the description of the country structure
validSign of correctness of the address
qualityAddress quality code. See Address Quality Code
timezoneTime zone
undefinedPartsUnrecognized part of the address
metroList of the nearest metro stations. Always empty here. See the description of the metro structure

Descriptions of structures are available on the address standardization page.

Sample response data #

{
  "original": "0361c9ca-1703-4535-b11a-6fbd372448e1",
  "addressFull": "г Москва, ул Профсоюзная, дом 42, корпус 1, квартира 242",
  "address": "г Москва, ул Профсоюзная",
  "postcodeIn": "",
  "postcode": "117335",
  "region": {
    "fullName": "г Москва",
    "name": "Москва",
    "type": "г",
    "codes": {
      "fias": "0c5b2444-70a0-4932-980c-b4dc0d3f02b5",
      "ga": "RU0770000000000000000000000",
      "osm": "R102269",
      "gar": "1405113",
      "kladr": "7700000000000"
    }
  },
  "area": {
    "fullName": "",
    "name": "",
    "type": "",
    "codes": {
      "fias": "",
      "ga": "",
      "osm": "",
      "gar": "",
      "kladr": ""
    }
  },
  "municipal": {
    "fullName": "",
    "name": "",
    "type": "",
    "codes": {
      "fias": "",
      "ga": "",
      "osm": "",
      "gar": "",
      "kladr": ""
    }
  },
  "city": {
    "fullName": "",
    "name": "",
    "type": "",
    "codes": {
      "fias": "",
      "ga": "",
      "osm": "",
      "gar": "",
      "kladr": ""
    }
  },
  "cityArea": {
    "fullName": "Академический р-н",
    "name": "Академический",
    "type": "р-н",
    "codes": {
      "fias": "",
      "ga": "",
      "osm": "",
      "gar": "",
      "kladr": ""
    }
  },
  "settlement": {
    "fullName": "",
    "name": "",
    "type": "",
    "codes": {
      "fias": "",
      "ga": "",
      "osm": "",
      "gar": "",
      "kladr": ""
    }
  },
  "planStructure": {
    "fullName": "",
    "name": "",
    "type": "",
    "codes": {
      "fias": "",
      "ga": "",
      "osm": "",
      "gar": "",
      "kladr": ""
    }
  },
  "street": {
    "fullName": "ул Профсоюзная",
    "name": "Профсоюзная",
    "type": "ул",
    "codes": {
      "fias": "9a661426-e65c-4223-af4d-aa5e95b7caac",
      "ga": "RU0770000000000000000002392",
      "osm": "W30750376",
      "gar": "1401987",
      "kladr": "77000000000239200"
    }
  },
  "houseDetails": {
    "fullName": "дом 42, корпус 1, квартира 242",
    "house": "42",
    "case": "1",
    "build": "",
    "liter": "",
    "lend": "",
    "constr": "",
    "stead": "",
    "flat": "242",
    "office": "",
    "room": "",
    "kab": "",
    "place": "",
    "entr": "",
    "floor": "",
    "block": "",
    "pav": "",
    "sek": "",
    "abon": "",
    "munit": "",
    "codes": {
      "fias": "2d960636-942f-48bd-8362-b39fea91a3e4",
      "ga": "",
      "osm": "",
      "gar": "56965994",
      "kladr": ""
    },
    "apartmentCodes": {
      "fias": "0361c9ca-1703-4535-b11a-6fbd372448e1",
      "ga": "",
      "osm": "",
      "gar": "56968181",
      "kladr": ""
    },
    "additional": {
      "houseIsMultiFlat": true,
      "houseFlatCount": "143",
      "houseCadnum": "77:06:0003009:1025",
      "apartmentCadnum": "77:06:0003009:2561"
    }
  },
  "coordinates": {
    "latitude": 55.674565,
    "longitude": 37.55814
  },
  "country": {
    "name": "Россия",
    "alpha2": "RU",
    "alpha3": "RUS",
    "numeric": 643
  },
  "valid": true,
  "quality": {
    "unique": 0,
    "actuality": 0,
    "undefined": 0,
    "level": 9,
    "house": 3,
    "geo": 8
  },
  "timezone": "UTC+3",
  "undefinedParts": "",
  "metro": []
}